Download a payment batch
Retrieve and download submitted payment files along with any associated errors or warnings to review or correct issues. The downloaded file includes additional columns for errors or warnings, allowing you to address issues and re-upload corrected files. You can filter the data by payment statuses or specific order references.POST
/v2/batches/{paymentBatchId}/payments/downloadRequest
Use this endpoint to download a file containing all payments submitted within a payment batch.Path parameters
The ID of the account that this payment is associated with.Allowable values: An existing
accountId (≤ 36 characters)A list of statuses to filter by.Allowable values:
draft, validated, confirmed, started, completed, failed, cancelledResponse
If the request is successful, you’ll receive a200 OK status, indicating that the file has been successfully generated and returned.
For more detailed information about this request and its response, see API reference.